Bug 50484 - gcc3-3.0-5 ices on legal code with optimization O2
gcc3-3.0-5 ices on legal code with optimization O2
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 12:46 EDT by eeeg
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 00:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
source test case (1.40 KB, text/plain)
2001-07-31 12:47 EDT, eeeg
no flags Details

  None (edit)
Description eeeg 2001-07-31 12:46:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
The attached source code, test.c, results in an "Internal error: 
Segmentation Fault" when compiled with -O2.

How reproducible:
Always

Steps to Reproduce:
1.compile attached source with 'gcc3 -c -O2'.

	

Actual Results:  > gcc3 -c -O2 test.c
test.c: In function `foo':
test.c:64: Internal error: Segmentation fault


Expected Results:  compile cleanly.

Additional info:

1) compiles cleanly with optimizations < 2.
2) compiles cleanly all the time with gcc version egcs-2.91.66 
19990314/Linux (egcs-1.1.2 release)
3) also reported to gnats reference number c3886
Comment 1 eeeg 2001-07-31 12:47:46 EDT
Created attachment 25631 [details]
source test case
Comment 2 eeeg 2001-08-08 00:28:21 EDT
I downloaded gcc3 from cvs (gcc.gnu.org) tonight and, whatever they did they did
well; my test case now compiles cleanly with -O2!!  Woo Hoo!!  If you haven't
updated your tree in a while doing so will probably allow you to mark this bug
as closed.

Note You need to log in before you can comment on or make changes to this bug.